Name:           perl-Net-SSLGlue
Version:        1.052
Release:        1%{?dist}
Summary:        Add/extend SSL support for common perl modules
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-SSLGlue/
Source0:        http://search.cpan.org/CPAN/authors/id/S/SU/SULLR/Net-SSLGlue-%{version}.tar.gz

# Remove interactive question
# Only minimal test which doesnt requires Internet connexion
Patch0:         perl-Net-SSLGlue-test.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IO::Socket::SSL) >= 1.19
# Required to have tests effective
BuildRequires:  perl(LWP::Protocol::https)
BuildRequires:  perl(Net::LDAP)
BuildRequires:  perl(Net::SMTP)

Requires:       perl(IO::Socket::SSL) >= 1.19
Requires:       perl(LWP::Protocol::https)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}


%description
Some commonly used perl modules don't have SSL support at all, even if the
protocol would support it. Others have SSL support, but most of them don't
do proper checking of the servers certificate.

The Net::SSLGlue::* modules try to add SSL support or proper certificate to
these modules. Currently is support for the following modules available:

- Net::SMTP - add SSL from beginning or using STARTTLS
- Net::LDAP - add proper certificate checking
- LWP - add proper certificate checking 


%prep
%setup -q -n Net-SSLGlue-%{version}

%patch0 -p0


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYRIGHT README Changes examples
%{perl_vendorlib}/Net
%{_mandir}/man3/Net*


%changelog
* Tue Jan 21 2014 Remi Collet <remi@fedoraproject.org> - 1.052-1
* Mon Aug  5 2013 Remi Collet <remi@fedoraproject.org> - 1.04-1
- update to 1.04

* Sat Jun 15 2013 Remi Collet <remi@fedoraproject.org> - 1.03-1
- update to 1.03

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 16 2012 Petr Pisar <ppisar@redhat.com> - 1.01-2
- Perl 5.16 rebuild

* Tue Feb 21 2012 Remi Collet <remi@fedoraproject.org> - 1.01-1
- update to 1.01
- add Requires perl(LWP::Protocol::https)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jul 31 2011 Remi Collet <Fedora@famillecollet.com> - 0.8-1
- update to 0.8

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.7-2
- Perl mass rebuild

* Wed Jun 01 2011 Remi Collet <Fedora@famillecollet.com> - 0.7-1
- update to 0.7

* Tue May 10 2011 Remi Collet <Fedora@famillecollet.com> - 0.6-1
- update to 0.6 (doc fix only)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb 04 2011 Remi Collet <Fedora@famillecollet.com> - 0.5-1
- update to 0.5 (doc fix only)
- fix description

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.4-2
- 661697 rebuild for fixing problems with vendorach/lib

* Sat Jun 19 2010 Remi Collet <Fedora@famillecollet.com> - 0.4-1
- update to 0.4
- add Changes and examples in docs

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.2-2
- Mass rebuild with perl-5.12.0

* Sun Feb 21 2010 Remi Collet <Fedora@famillecollet.com> - 0.2-1
- Specfile autogenerated by cpanspec 1.78
- initial RPM + cleanups
- from review (#567107) perl_default_filter + DESTDIR

